const jokeContent = document.getElementById('jokeContent');
const generateJoke = document.getElementById('generateJoke');

// Function to fetch a Chuck Norris joke and display it
function fetchJoke() {
    // Make a request to the Chuck Norris joke API
    fetch("https://api.chucknorris.io/jokes/random")
        .then(response => response.json())
        .then(data => {
            const joke = data.value;
            jokeContent.textContent = joke;
        })
        .catch(error => {
            jokeContent.textContent = "Failed to fetch a Chuck Norris joke. Please try again.";
        });
}

// Add a click event listener to the button
generateJoke.addEventListener('click', fetchJoke);

// Initial joke fetch when the page loads
fetchJoke();